=== modified file 'baz_import.py'
--- baz_import.py	2005-10-20 01:09:24 +0000
+++ baz_import.py	2005-10-22 13:31:14 +0000
@@ -460,12 +460,6 @@
                 print ("unable to access ancestor %s, making into a merge."
                        % missing_ancestor)
                 continue
-            # cached so we can delete the log
-            log_date = log.date
-            log_summary = log.summary
-            log_description = log.description
-            is_continuation = log.continuation_of is not None
-            log_creator = log.creator
             if os.path.exists(output_dir):
                 bzr_dir = os.path.join(output_dir, '.bzr')
                 new_bzr_dir = os.path.join(tempdir, "rd", '.bzr')
@@ -484,14 +478,16 @@
             new = os.path.join(tempdir, ".bzr")
             os.rename(old, new)
             baz_inv, log = apply_revision(tree, revision)
-            log_date = log.date
-            log_summary = log.summary
-            log_description = log.description
-            log_creator = log.creator
-            is_continuation = log.continuation_of is not None
-            direct_merges = get_direct_merges(revdir, revision)
             os.rename(new, old)
             branch = Branch.open(revdir)
+        # cached so we can delete the log
+        log_date = log.date
+        log_summary = log.summary
+        log_description = log.description
+        is_continuation = log.continuation_of is not None
+        log_creator = log.creator
+        direct_merges = get_direct_merges(revdir, revision)
+
         timestamp = email.Utils.mktime_tz(log_date + (0,))
         rev_id = revision_id(revision)
         if log_summary is None:

